%global         momorel 2

Name:           perl-Net-IMAP-Server
Version:        1.38
Release:        %{momorel}m%{?dist}
Summary:        Single-threaded multiplexing IMAP server implementation, using Net::Server::Coro
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-IMAP-Server/
Source0:        http://www.cpan.org/authors/id/A/AL/ALEXMV/Net-IMAP-Server-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-Coro
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Format-Mail
BuildRequires:  perl-DateTime-Format-Strptime >= 1.3
BuildRequires:  perl-Email-Address
BuildRequires:  perl-Email-MIME >= 1.862
BuildRequires:  perl-Email-MIME-ContentType
BuildRequires:  perl-Email-Simple >= 1.999
BuildRequires:  perl-Encode-IMAPUTF7
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-MIME-Base64
BuildRequires:  perl-Net-Server-Coro >= 1.3
BuildRequires:  perl-Net-SSLeay
BuildRequires:  perl-Regexp-Common
BuildRequires:  perl-Test-More
BuildRequires:  perl-UNIVERSAL-require
Requires:       perl-Class-Accessor
Requires:       perl-Coro
Requires:       perl-DateTime
Requires:       perl-DateTime-Format-Mail
Requires:       perl-DateTime-Format-Strptime >= 1.3
Requires:       perl-Email-Address
Requires:       perl-Email-MIME >= 1.862
Requires:       perl-Email-MIME-ContentType
Requires:       perl-Email-Simple >= 1.999
Requires:       perl-Encode-IMAPUTF7
Requires:       perl-MIME-Base64
Requires:       perl-Net-Server-Coro >= 1.3
Requires:       perl-Net-SSLeay
Requires:       perl-Regexp-Common
Requires:       perl-Test-More
Requires:       perl-UNIVERSAL-require
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you want to execute test, turn on do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 0}

%description
This model provides a complete implementation of the RFC 3501
specification, along with several IMAP4rev1 extensions. It provides
separation of the mailbox and message store from the client
interaction loop.

%prep
%setup -q -n Net-IMAP-Server-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net/IMAP/Server.pm
%{perl_vendorlib}/Net/IMAP/Server
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.38-2m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.38-1m)
- update to 1.38
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-4m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-2m)
- rebuild against perl-5.16.3

* Fri Jan 18 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.36-1m)
- update to 1.36

* Mon Nov 12 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.35-1m)
- update to 1.35

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-2m)
- rebuild against perl-5.16.1

* Tue Jul 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.34-1m)
- update to 1.34

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.33-1m)
- update to 1.33
- rebuild against perl-5.16.0

* Sun Apr  1 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.31-1m)
- update to 1.31

* Sat Feb 18 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.30-2m)
- set do_test 0 due to tests fail on i686 only

* Sat Dec 24 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.30-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
